Subject: Re: [PATCH 8/8] tag: Change --point-at to default to HEAD

From: Junio C Hamano <[email-masked]>
Date: Sat, 18 Mar 2017 11:54:07 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Change the --points-at option to default to HEAD for consistency with
> its siblings --contains, --merged etc. which default to HEAD. This
> changes behavior added in commit ae7706b9ac (tag: add --points-at list
> option, 2012-02-08).

Makes a lot of sense to me.

> +test_expect_success '--points-at is a synonym for --points-at HEAD' '
> +	git tag --points-at >actual &&

Even if "expect" is the same one established earlier, it is easier
to read and understand individual tests if you explicitly said what
this one expects.

Thanks.